$(document).ready(function()
{
    $('.addSect').click(function()
    {
        var code = new Date().getTime();
        $('.sect-box').append(v.itemRow.replace(/KEY/g, v.key).replace(/CODE/g, code));
        v.key++;

        var itemWidth = 0;
        $('.sect-item').each(function(index, item)
        {
          itemWidth += $(item).width();
        })
        if(itemWidth > $('.sect-box').width()) $('.sect-box').animate({scrollLeft: itemWidth});
    })

    $(document).on('click', '.deleteSect', function()
    {
        if($('.sect-item').length == 1)
        {
            $(this).parents('.sect-item').find('input').val('');
        }
        else
        {
            $(this).parents('.sect-item').remove();
        }
    })
});
